%global _empty_manifest_terminate_build 0
Name:		python-zope.testing
Version:	5.0.1
Release:	1
Summary:	Zope testing helpers
License:	ZPLv2.1
URL:		https://github.com/zopefoundation/zope.testing
Source0:	https://files.pythonhosted.org/packages/1c/45/a22985a9a5bb886ae0665f04c1ffe985d9558c3e9881fde808fc9dc0a6f9/zope.testing-5.0.1.tar.gz
BuildArch:	noarch

Requires:	python3-setuptool

%description
This package provides a number of testing frameworks.

%package -n python3-zope.testing
Summary:	Zope testing helpers
Provides:	python-zope.testing
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-zope.testing

%package help
Summary:	Development documents and examples for zope.testing
Provides:	python3-zope.testing-doc
%description help

%prep
%autosetup -n zope.testing-5.0.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-zope.testing -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Feb 8 2023 wubijie <wubijie@kylinos.cn> - 5.0.1-1
- Update package to version 5.0.1

* Sun Sep 4 2022 tianlijing <tianlijing@kylinos.cn> - 4.10-1
- update to 4.10

* Tue Aug 02 2022 fushanqing <fushanqing@kylinos.cn> - 4.7-2
- Unified license name specification

* Sun Jun 28 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
